package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.*;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.v2.v1.utils.PaginationUtil;

import java.util.List;

/**
 * <p>
 * v2.0分销登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsDistributionService extends IService<JsDistribution> {

    AjaxResult add(JsDistribution distribution);

    AjaxResult edit(JsDistribution distribution);

    AjaxResult delete(String ids);

    AjaxResult page(String animalType ,Integer pageNum, Integer pageSize, String startTime, String endTime, String supplierName, String purchaserName,  String animalCertNo);

    AjaxResult listAll();

    //屠宰生产清单
    List<JsProduction> productionPage(GetDistributionListReq req);
    PaginationUtil.PageResult<JsProduction> productionPage1(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo);
    AjaxResult editProduce(EditProduceReq req);
    /*
     *获取最新添加的记录
     */
    public JsDistribution selectLastRecord();
}
